<?php
/*
Plugin Name: Payline
Plugin URI: http://payline.ir/plugins
Description: Payline getway for wordpress
Version: 1.2
Author: Payline developement team
Author URI: http://20script.ir
License: GPL2
*/
	load_plugin_textdomain('payline','wp-content/plugins/payline/langs');

	include_once('inc/payline.class.php');
	$payline = new Payline;

	if(get_option('api')) {
		$payline->api = get_option('api');
	}

	function payline_menu() {
		if (function_exists('add_options_page')) {
			add_menu_page(__('Payline', 'payline'), __('Payline', 'payline'), 'manage_options', 'payline/setting.php', 'payline_menupage', plugin_dir_url( __FILE__ ).'/images/Payline_favicon.png');
			add_submenu_page('Payline/setting.php', __('تنظيمات درگاه Payline', 'payline'), __('تنظيمات درگاه Payline', 'payline'), 'manage_options', 'payline/setting.php', 'payline_menupage');
		}
	}
	add_action('admin_menu', 'payline_menu');

	function payline_menupage() {
		if (!current_user_can('manage_options')) {
			wp_die(__('You do not have sufficient permissions to access this page.', 'payline'));
		}

		settings_fields('payline_options');
		function register_payline() {
			register_setting('payline_options', 'api');
		}

		include_once('setting.php');
	}

	function payline_form() {

			global $current_user, $payline;
			include_once('inc/form.php');

			if($_POST['submit_payment']) {

				if($_POST['payer_name'] && $_POST['payer_price']) {

					$payline->Price = $_POST['payer_price'];
					$payline->ReturnPath = urlencode('http://' . $_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI']);

					if($payline->Request()) {

						switch($payline->Request()) {

							case '-1':
								echo '<p class="error-payment">' . __('api ارسالی با نوع api تعریف شده در payline سازگار نیست.', 'payline') . '</p>';
								break;

							case '-2':
								echo '<p class="error-payment">' . __('مقدار amount داده عددی نمی باشد.', 'payline') . '</p>';
								break;

							case '-3':
								echo '<p class="error-payment">' . __('مقدار redirect رشته null است.', 'payline') . '</p>';
								break;

							case '-4':
								echo '<p class="error-payment">' . __('درگاهی با اطلاعات ارسالی شما یافت نشده و یا در حالت انتظار می باشد.', 'payline') . '</p>';
								break;
						}
					} else {
						add_option('user_price_' . $current_user->ID, $_POST['payer_price']);
						update_option('user_price_' . $current_user->ID, $_POST['payer_price']);
					}
				} else {
					echo '<p class="error-payment">' . __('لطفا تمام فيلد هارا کامل کنيد', 'payline') . '</p>';
				}
			}

			$payline->Price = get_option('user_price_' . $current_user->ID);
            if($_POST['trans_id']){
			switch($payline->Verify()) {

				case '-1':
					echo '<p class="error-payment">' . __('api ارسالی با نوع api تعریف شده در payline سازگار نیست.', 'payline') . '</p>';
					continue;

				case '-2':
					echo '<p class="error-payment">' . __('trans_id ارسال شده معتبر نمی باشد.', 'payline') . '</p>';
					continue;

				case '-3':
					echo '<p class="error-payment">' . __('id_get ارسالی معتبر نمی باشد.', 'payline') . '</p>';
					continue;

				case '-4':
					echo '<p class="error-payment">' . __('چنین تراکنشی در سیستم وجود ندارد و یا موفقیت آمیز نبوده است.', 'payline') . '</p>';
					continue;

				case 1:
					echo '<p class="success-payment">' . sprintf(__('تراکنش موفقيت آميز بود. <br /> شماره رهگيري: %s ', 'payline'), $payline->RefNumber) . '</p>';
					continue;
			}}

			delete_option('user_price_' . $current_user->ID);
	}
	
	add_shortcode('payline', 'payline_form');
	add_filter('widget_text', 'do_shortcode');
?>